Improve error message “Excess Medicine Found”.
Status: Closed Start date: 06/03/2015

Priority: Immediate Due date: 11/06/2015

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

It pops-up when the user is editing regimen with the forecasting file open and the medicine listed in the forecasting no longer exist in

the regimens dictionary that the user has changed.

Proposal:

- Display a clear warning message when users try to edit Medicines and Treatment regimens dictionaries with one forecasting file still

open.

- Request users to close the opened forecasting if they try to edit Medicines and Treatment regimens dictionaries. However, if they

want to they could go ahead.

History

#1 - 06/12/2015 06:58 AM - Oleksii Kurasov

- Due date set to 06/12/2015

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 10/08/2015 02:51 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- The warning message should be displayed when user try change the medicines or regimens list by clicking the buttons new, edit or delete. Currently

the messages pops up when user simply click on the medicines or regimens names in the main menu. In this case, if the user just wants to check the

lists it would be okay.

- Change the title of the warning message (dialog box) from "Do you want to continue?" to "Changing medicines or regimens".

- Change the text of the warning message to below:

If you change the medicines or regimens lists after they have been used in a forecasting, the changes won't appear in the forecasting. For the

changes to appear in the forecasting you must un-select the regimen you changed, click OK, and then re-select the regimen you changed and click

OK. When you do this, you will lose your case information for that regimen, so be sure to copy it before un-selecting the regimen.

Do you want to continue?

(Buttons “Yes” pre-selected and “No”)

06/26/2025 1/2



#3 - 10/08/2015 02:55 PM - Luis Gustavo do Valle Bastos

After issue # 1579 is implemented check if the last sentence of the text message suggested above should be updated.

#4 - 11/04/2015 04:09 PM - Oleksii Kurasov

- Priority changed from Normal to Immediate

#5 - 11/06/2015 05:42 AM - Oleksii Kurasov

- Due date changed from 06/12/2015 to 11/06/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#6 - 11/14/2015 02:32 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
